// Pre-precess the data
void initializeData() {
  // read the humidity data
  hString = loadStrings(hFile);
  for (int j = 1; j < hString.length; j++) {
    String data[] = split(hString[j], ",");// load a row of the dataset
    float volume = float(data[4]); 
    // compute the max and min of the volume data
    if(volume<minHValue){
      minHValue = volume;}
    if(volume>maxHValue){
      maxHValue = volume;}
  }
  for (int j = 1; j < hString.length; j++) {
    String data[] = split(hString[j], ",");

    int index = int(data[5]);
    int date = (int)dateParser(data[1])-(int)dateParser("7/17/21");
    int hour = (int)hourParser(data[2]);
    float volume = float(data[4]);    
    hVolume[index][date][hour] = (volume-minHValue)/(maxHValue-minHValue); // save the data
  }  
  // read the temperature data
  tString = loadStrings(tFile);
  for (int j = 1; j < tString.length; j++) {
    String data[] = split(tString[j], ",");// load a row of the dataset
    float volume = float(data[4]); 
    // compute the max and min of the volume data
    if(volume<minTValue){
      minTValue = volume;}
    if(volume>maxTValue){
      maxTValue = volume;}
  }
  for (int j = 1; j < tString.length; j++) {
    String data[] = split(tString[j], ",");
    int index = int(data[5]);
    int date = (int)dateParser(data[1])-(int)dateParser("7/17/21");
    int hour = (int)hourParser(data[2]);
    float volume = float(data[4]);    
    tVolume[index][date][hour] = (volume-minTValue)/(maxTValue-minTValue); // save the data
  }  
}
